LmCorrelationModel Class Referenceabstract

libor forward correlation model More...

`#include <ql/legacy/libormarketmodels/lmcorrmodel.hpp>`

Inheritance diagram for LmCorrelationModel:
[legend]

## Public Member Functions

| LmCorrelationModel (Size size, Size nArguments)
virtual Size | size () const
virtual Size | factors () const
std::vector< Parameter > & | params ()
void | setParams (const std::vector< Parameter > &arguments)
virtual Disposable< Matrix > | correlation (Time t, const Array &x=Null< Array >()) const =0
virtual Disposable< Matrix > | pseudoSqrt (Time t, const Array &x=Null< Array >()) const
virtual Real | correlation (Size i, Size j, Time t, const Array &x=Null< Array >()) const
virtual bool | isTimeIndependent () const

## Protected Member Functions

virtual void | generateArguments ()=0

## Protected Attributes

const Size | size_
std::vector< Parameter > | arguments_

## Detailed Description

libor forward correlation model